/**
* @file SIGMA_cmdExp.h
* @brief SIGMA SDK
* @date 2020/05/18
*/
#pragma once

#ifndef __SIGMA_CMDEXP_H_
#define __SIGMA_CMDEXP_H_

#include "SIGMA_SDK_COMMON.h"

//=================================================================================================
// 萔
//=================================================================================================

#define	PTP_PAGE_SIZE_CAM	0x8000		//PTPőMłőTCY
#define	PTP_PAGE_SIZE		0xef00		//PTPŎMłőTCY
#define	PTP_PAGE_SIZE_BIG	0x0000f000	//PTPŎMłőTCY
#define	PTP_BIG_BUFFER		0x00200000	// 2MB

//=================================================================================================
// ֐
//=================================================================================================

#ifdef __cplusplus
extern "C" {
#endif

	HRESULT WINAPI sgm_CamOpen(const char * serialNumber, LPSDK_INFO lpInfo);

	HRESULT WINAPI sgm_CamClose(LPSDK_INFO lpInfo);

	HRESULT WINAPI sgm_FreeArrayMemory(IFDArray *ifdArray);

	HRESULT WINAPI sgm_GetLastCommandData(
		LPSDK_INFO	lpInfo,
		LPBYTE		lpCommandData,
		LPDWORD		lpCommandSize,
		LPBYTE		lpResponseData,
		LPDWORD		lpResponseSize
		);

#ifdef __cplusplus
}
#endif

#endif	// #ifndef __SIGMA_CMDEXP_H_
